<%--
Look for the code that controls this form in the default.aspx.cs file! 
This file contains the HTML template. (Which you will also need to modify.)			
--%>
<%@ Page language="c#" Codebehind="default.aspx.cs" AutoEventWireup="false" Inherits="billing_starter.Default" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<html>
	<head>
		<title>Billing Application</title>
		<meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
		<meta content="C#" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<link href="style.css" type="text/css" rel="Stylesheet" title="default">
	</head>
	<body ms_positioning="GridLayout">
		<form id="Form1" method="post" runat="server">
			<h2>Billing Application</h2>
			<%--
			There are several inputs near the top of the file so the user can control the form.			
			--%>
			<div>
				<h4>Show All Invoices</h4>
				<asp:button id="showAllButton" onclick="ShowAll" runat="server" text="Go"></asp:button>
			</div>
			<div>
				<h4>Show Invoices from the Last Week</h4>
				<asp:button id="showLastWeekButton" onclick="ShowLastWeek" runat="server" text="Go"></asp:button>
			</div>
			<div>
				<h4>Show Invoices With At Least X Items</h4>
				<asp:placeholder runat="server" id="showByItemsError" visible="False">
					<strong>Error: Input must be an integer<br>
					</strong>
				</asp:placeholder>
				<asp:textbox id="showByItemsTextBox" runat="server"></asp:textbox>
				<asp:button id="showByItemsButton" onclick="ShowByItems" runat="server" text="Go"></asp:button>
			</div>
			<div>
				<h4>Find All Invoices That Resulted In More Than X Packages</h4>
				<asp:placeholder runat="server" id="showByPackagesError" visible="False">
					<strong>Error: Input must be an integer<br>
					</strong>
				</asp:placeholder>
				<asp:textbox id="showByPackagesTextBox" runat="server"></asp:textbox>
				<asp:button id="showByPackagesButton" onclick="ShowByPackages" runat="server" text="Go"></asp:button>
			</div>
			<div>
				<h4>Find Only Invoices Belonging To This Customer (by email)</h4>
				<asp:placeholder runat="server" id="showByCustomerError" visible="False">
					<strong>Error: Input must be a string<br>
					</strong>
				</asp:placeholder>
				<asp:textbox id="showByCustomerTextBox" runat="server"></asp:textbox>
				<asp:button id="showByCustomerButton" onclick="ShowByCustomer" runat="server" text="Go"></asp:button>
			</div>
			<div>
				<h4>Find How Many Of Each Product Has Shipped To This City</h4>
				<asp:placeholder runat="server" id="countByCityError" visible="False">
					<strong>Error: Input must be a string<br>
					</strong>
				</asp:placeholder>
				<asp:textbox id="countByCityTextBox" runat="server"></asp:textbox>
				<asp:button id="countByCityButton" onclick="CountByCity" runat="server" text="Go"></asp:button>
			</div>
			<%--
			The repeater control provides an easy way to display sets of data.  You may find that the 
			DataList or DataGrid controls are intially easier to use, but they are much more restricting
			and quickly become impractical.
			--%>
			<asp:repeater runat="server" id="results">
				<headertemplate>
					<h2>Results:</h2>
					<table width="100%">
						<tr>
							<th>
								Customer</th>
							<th>
								Order Date</th>
							<th>
								Subtotal</th>
							<th>
								Credit Type</th>
							<th>
								Credit Num</th>
							<th>
								Billed To</th>
							<th>
								Shipped To</th>
							<th>
								Item Count</th>
							<th>
								Package Count</th>
							<th>
								Details</th>
						</tr>
				</headertemplate>
				<itemtemplate>
					<%-- The ItemTemplate will occur once for each record (in thi case row in the table). --%>
					<tr>
						<td><%# /* ! */ %></td>
						<td><%# /* ! */ %></td>
						<td><%# /* ! */ %></td>
						<td><%# /* ! */ %></td>
						<td><%# /* ! */ %></td>
						<td><%# /* ! */ %></td>
						<td><%# /* ! */ %></td>
						<td><%# /* ! */ %></td>
						<td><%# /* ! */ %></td>
						<td><a href='invoice.aspx?invoice=<%# /* ! */ %>'>[Details]</a></td>
					</tr>
				</itemtemplate>
				<footertemplate>
					</table>
				</footertemplate>
			</asp:repeater>
		</form>
	</body>
</html>
